Skip Menu |
 

This queue is for tickets about the DBIx-Class CPAN distribution.

Report information
The Basics
Id: 27957
Status: resolved
Priority: 0/
Queue: DBIx-Class

People
Owner: blblack [...] gmail.com
Requestors: radu [...] yx.ro
Cc:
AdminCc:

Bug Information
Severity: Unimportant
Broken in: 0.08002
Fixed in: (no value)



Subject: Makefile.PL requires Cwd, but this looks superfluos
Download (untitled) / with headers
text/plain 481b
Makefile.PL requires Cwd 3.19, but this looks superfluous because no function exported by Cwd is used internally by DBIx::Class. Could this requirement of Cwd be removed from Makefile.PL? Module::Install, the one using Cwd, already requires it. The reason I'm pleading for this change is to not be forced to either change DBIx-Class Makefile.PL manually or upgrade Cwd manually on systems like Red Hat Enterprise Linux 4, where perl 5.8.5 (Cwd version 2.19) is used. Thank you!
From: blblack [...] gmail.com
Download (untitled) / with headers
text/plain 1.5k
On Wed Jul 04 10:47:38 2007, radu@yx.ro wrote: Show quoted text
> Makefile.PL requires Cwd 3.19, but this looks superfluous because no > function exported by Cwd is used internally by DBIx::Class. > > Could this requirement of Cwd be removed from Makefile.PL? > Module::Install, the one using Cwd, already requires it. > > The reason I'm pleading for this change is to not be forced to either > change DBIx-Class Makefile.PL manually or upgrade Cwd manually on > systems like Red Hat Enterprise Linux 4, where perl 5.8.5 (Cwd version > 2.19) is used. > > Thank you!
The reason for the 3.19 requirement (actually, I think technically we really only needed it to be 3.18, but that doesn't make any difference for your case) was load-time performance. Deep within the guts of some modules used by some modules used by DBIx::Class during the ->load_classes(), Cwd gets used. However, there was a performance bug in older versions of Cwd that was slowing us down significantly (specifically, it was shelling out to call the "pwd" command over and over instead of using the native getcwd() or similar call). We could make it an optional recommendation, but then the Makefile.PL would prompt users, which I think we're not fond of causing either (although CPAN does have facilities for defaulting the answers). Probably the bigger issue is for us to come up with a clean way to specify optional feature deps and recommended deps while giving some environment-variable-based control over whether to prompt at all, and what the options should default as.
Download (untitled) / with headers
text/plain 222b
On Wed Jul 04 11:09:39 2007, BLBLACK wrote: Show quoted text
> The reason for the 3.19 requirement (actually, I think technically we > really only needed it to be 3.18, but that doesn't make any difference
err that's not true, it is 3.19.
This was resolved in the latest release.


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.